Subject: Re: bug#60104: Hiccups installing GNU Guix 1.4.0rc2 system

From: Ludovic Courtès <[email-masked]>
Date: Sat, 17 Dec 2022 13:01:13 +0100

Hi,

"J. Sims" <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> wrote:
>
>> What’s crypttab? At which point exactly does this screen appears:
>> before GRUB, after GRUB, once the Linux kernel has booted?
>
> crypttab is some part of the LUKS encryption stuff. This appears to be a manpage for it: https://www.man7.org/linux/man-pages/man5/crypttab.5.html

Oh OK; Guix system doesn’t use that file.

> The screen appears before GRUB.
>
> I forgot to mention that the UUID of the partition it was looking for did not exist on-disk after completing the Guix installation process. Given the above manpage, I assume this means the crypttab file used in the encryption process wasn't fully replaced. Perhaps the file in question is appended to with Guix data rather than overwritten? Or perhaps it's not used at all for the way Guix does encryption and just gets left behind?

‘guix system init’ and related commands error out if the config
specifies a file system UUID, a LUKS UUID, etc. that do not correspond
to an existing thing.  So it’s unlikely that you managed to install Guix
System with a wrong UUID; likewise, the graphical installer is unlikely
to generate a config file with an incorrect UUID.

So the problem may be elsewhere.

>> Normally the installer will rewrite the partition table, unless (I
>> think) you choose to keep things unchanged.
>
> Interesting... I did the full-disk guided installation method, so that should have done the trick, then.
>
> This reminds me, I noticed that it didn't rewrite specifically the boot partition. When it showed the partition scheme at the end of the partitioning stage, it only showed it changing nvme0np2 (and nvme0np3 with encryption disabled - it only created swap with encryption disabled), while the boot was nvme0np1. After wiping the table, it showed all three.

OK.

I’m afraid I’m not sure what happened.  :-/

If you grab more details from your investigations, please share them.

Thanks for reporting the issue!

Ludo’.